Welcome to Chankast

Welcome to the official Chankast manual.
This help file is a starting point if you've run into troubles with Chankast or just have some general questions about this great emulator. Chankast is an emulator in very early stages, which came as a nice surprise for the emulation scene, as it was the first released dreamcast emulator to run commercial games - and that with decent speeds on a 2 Ghz machine.

About this help file
This help file has been created as a general starting point for all people, who haven't been into emulation and the difficulty of configuring an emulator before. More experienced users might get some useful hints or answers from it as well, but should skip the tutorial parts :-)

About the authors
The authors of Chankast are baktery, unai, garrofi and elsemi from spain. Not much is known about them yet, expect that they produced a great emulator in close to no time.


Support Chankast

Many people ask how they can support this great project.
As with most projects these days, the authors have set up a PayPal donation account. If you want to donate to this project, just follow this link

Other than that, you can help newbies over at the offical forums (see General links ) and fill the various compatibility lists flowing around, which helps the authors to determinate the problems the emulator still has.


Changelog

Chankast v0.2a Alpha
- Fixed a bug which kept you from switching back to VGA mode
- A controller bug has been fixed
- Fixed a bug in the video renderer which caused some crashes

Chankast v0.2 Alpha
- Improved stability, no more random crashes during gameplay
- Fixes to the GFX core for games such as Shenmue 1&2 and Soul Calibur
- Better compatibility, for example F355, Dead or Alive 2, Virtual On and many, many more
- Optimized code for even more speed
- Option to over- and underclock the SH4 CPU
- Completly re-done PAD configuration screen
- Added support for PAD plugins
- Added an option for cable selection
- Integrated Capcom hack into the other versions
- Re-worked menu and help file
- ... and many more fixes we don't really remember ;)

Chankast v0.1 Alpha
- First release


General links

Official Chankast homepage
http://www.chanka.org

Official Chankast message board
http://www.emutalk.net/forumdisplay.php?f=101

NGEmu Chankast message board
http://www.ngemu.com/forums/forumdisplay.php?f=79

Chankast compatibility list
http://www.ngemu.com/dc/chanka.php?action=compat

Download adress for Chankast installer & utilities
http://www.ngemu.com/dc/chanka.php?action=download


Step 1: Requirements

First off, we'll take a look at the requirements version 0.1 alpha has towards your system, so you don't wonder about bad speeds when your system is simply way too slow or lacks an important requirement:

You'll need a CPU supporting the Intel SSE Instructions (P3, P4 or an AMD XP CPU) with at least 1.6 Ghz.
Memory wise, you should at least have 256 MB of RAM in your system.
As for the OS, you'll need Windows XP or 2003 (the emu will NOT work under Windows 9x or ME, 2000 may boot certain ISOs but we won't go into detail on this now!) together with DirectX 9.0b and a graphic card supporting it either from Nvidia or ATI together with their latest drivers.

Then, you'll of course need a dump of a game or a homebrew demo or anything you can play with Chankast ;)
Last but not least you need the DC BIOS, but we can't help you with this one - google is your friend.


Step 2: Mount an image

If you use a dump, you'll need a program to mount it; we'll use DAEMON TOOLS in this tutorial, which you can download from http://www.ngemu.com/dc/chanka.php?action=tools or http://www.daemontools.cc !

Once downloaded, we'll install it.

Once installed, you'll see a red icon in the taskbar.

Now press on that icon with your right mouse button and a menu will pop up.

Now go to the sub menu "Virtual CD/DVD-ROM" and in the next sub menu, select "Set number of devices", which will lead you to the following submenu:

Let's try to understand this menu: We can disable all virtual drives here, or we can configure Daemon Tools to either create 1, 2, 3 or 4 drives. So if we'd click on "1 drive", we'd be able to mount one image from one game. "2 drives" would create two of these, up to 4, which is the maximum number supported by this utility. For this tutorial, we'll simply create 1 virtual drive.

Now you'll see the above screen until Daemon Tools finished creating the virtual unit. Afterwards, we'll return to the icon in the taskbar and click it again. In "Virtual CD/DVD-ROM", you'll quickly notice two new options:

"Device 0: [F:] No media" is the new virtual device which we just created (depending on your PC configuration, the "F:" may be a different letter – remember which letter Daemon Tools displays, as you will need this later on) and "Unmount all drives" allows us to immediately remove all mounted images from the virtual drives (quick info: a mounted image is an ISO file on your HD which has been loaded into the virtual drive, which acts exactly like a CD would – just that there is no try to put the CD into).

Now that we got everything setup here, we're going to load an image into the virtual device. To do that, we'll once again click the small red icon, navigate into the "Device 0: [F:] No media" menu which we already saw before, and select "Mount image". The second option, "Set device parameters", gives you the possibility to set things like the name, the letter etc. – but that's nothing we'll need for this tutorial, but feel free to play around with it yourself ;) After you selected "Mount image", select the drive and folder in which you stored the ISO image of the dreamcast game. Select the image and you'll once again see the following screen.

Once the window dissapeared, we've already loaded the image into the virtual drive!


Step 3: Configure the emulator

Now it's time to take a look at Chankast itself ... To get started, we'll of course need Chanka itself, which you can download from the official homepage at http://www.chanka.org ! Right now, there're two different versions available:

- "Chankast Alpha 0.2a": Chankast with all the new features
- "Chankast Alpha 0.2a old gfx": Chankast with the old, less compatible graphics core

The Capcom hack, which was available as seperate version before, is now integrated into the emulator, so no additional download is required for this option.

Before you give up on a certain game, you should try it with both versions, as results may change from version to version. But before, you'll need to download the BIOS for the dreamcast as well. As that one is under copyright by Sega, we can't provide you with a link here, but Google is your friend when you're looking for it ;)

Now we simply uncompress everything we downloaded before into the same directory (if you don't know how to uncompress something, get WinRar from http://www.rarlab.com ). Now you should see something like this in your explorer window:

We execute either the „chankast.exe" or "chankast_old_gfx.exe" and get the following window:

Now we'll select "Options" and the following menu will appear:

Now we'll select „ConfigureControls" and yet another window will appear, which allows us to configure the input device for the emulator.

Controller

Since version 0.2, configuration of the controller has been highly improved. You can configure the controls for Player 1/2 by selecting the corresponding player in the dropdown box in the upper right corner. Then, simply select the button you want to configure and press the key you want to assign to it - that's it.

After you assigned all buttons to a key, you can close this menu by clicking "Save" and you'll get back to the main menu of the emulator. Now select "Options" again, but this time click on "ConfigureDrive" to select from which drive you want to run the game (see the screenshot on your left handed side). The letter would be the same you previously saw in "Daemon Tools" configuration.

Now all that is left to do is to click on "Options" once again, but this time select "Init" and wait for the game to boot. If you get an error or the emulator hangs, the game you selected isn't compatible with Chankast yet – please remember that this is an alpha version and far from being complete!


Step 4: Optimizing the emulator

Here's a small guide how you can optimize your system and the emulator to gain some more FPS (frames per second) during gameplay. Please note that not all hints will work with all games and all systems - your best bet is to try all of them

1. Update your drivers to the latest versions!
Installing the latest drivers can give you an impressive speedup; especially by updating your graphic card drivers, you can often gain several frames per second without optimizing your system.

2. Close down all unnecessary tools
Especially slow systems can gain some serious speed by simply closing down utilities you don't need any more (but don't close down your CD mounting utility!). To check the programs running on your PC, simply select Run -> Execute and type "msconfig" into the prompt and click OK. Now navigate to the startup tab and uncheck all tools you don't need. Make sure to reboot your system afterwards.

3. Overclock the SH4 (DC CPU)
Since version 0.2 Alpha, Chankast gives you the possibility to overclock the emulated CPU. How this works is described over at this page.

4. Chanke Chankasts priority
You can gain some more FPS on certain systems by setting the Chankast priority to "Above normal" in "Options" -> "Priority". This can, if everything goes wrong, lock up your PC and require you to restart - but if everything works well, you'll get a nice speedup from this (especially if you were to lazy to follow step 2).

5. Activate the "Capcom Hack"
Some games won't run at normal speed without having the Capcom hack activated. Read more about this here.


Run

Understanding the menu: Run

The Run menu allows you to start the game you previously selected and configured (for more about configuration, make sure to check the "Options" details section first!

Run: Start the game you have in the configured CD drive
Pause: Stop emulation and continue
Reset: Restart the currently running game
Exit: Close down Chankast


Options

Understanding the menu: Options

The Options menu allows you to configure many aspects of the emulator, so you should read through this section before giving up on a game!

Drive: Configure, which CD drive to use for emulation

ConfigureControls: As the name says, controller configuration for both players.

Capcom Hack: Enable/Disable the Capcom hack.

Configure Video
This menu offers tweak options for video output. The behavior of these options may vary: Games such as Shenmue work great with all activated, while others display glitches. Just play around a bit with them to find the best settings.
Show Stats displays the frames per second.

Cable Type
The cable type option allows you to run certain games which gave back the AV error in previous versions. Simply select "NTSC" if you got that errror before and it should be fixed.

Priority
You can gain some more FPS on certain systems by setting the Chankast priority to "Above normal". This can lock up your PC and require you to restart - but if everything works well, you'll get a nice speedup from this


Manage your memory cards (VMU)

To manage your memory cards, you'll first need the utility VMSBrowser, which you can download by clicking here . Extract the file into your chankast directory and start the "vmsbrowser.exe". You'll get to the following screen:

This utility allows you to import save games from popular sites such as GameFAQs into your VMU memory card. Furthermore, you can manage the save states in your existing VMU or fix damaged memory cards (do this at your own risque!).


How can I dump a BIOS?

This tutorial has been posted at NGEmu in this thread:

1.Get a coders cable/BBA (you can get one here !
2.Go to http://adk.napalm-x.com/dc/index.html and get dcload-serial if you're using the coders cable, dcload-ip if you're using BBA.
3.Burn the dcload image to a CD.
4.Run this on your DC.
5.To dump the BIOS, run dc-tool as follows:
6.dc-tool.exe -d dc_bios.bin -a 0x0 -s 0x200000
7.To dump the flash, run it as follows:
dc-tool.exe -d dc_flash.bin -a 0x200000 -s 0x20000

That's it ;) Place these files in your emulators directory and you're done.


How do I run homebrew games?

This tutorial has been published by Exoskeletor in this thread:

STEP 1
If you have aspi drivers installed on your pc continue to step 2
If you dont have aspi drivers download this file: ftp://ftp.nero.com/wnaspi32.dll ! Copy wnaspi32.dll to the %windir%\System32 folder (no need for reboot). (example: "C:\WINDOWS\system32")

STEP 2
Download this file: http://www.dcemu.co.uk/selfboot.rar
Extract all the files in a folder (example: "c:\dreamcast\")

After that run scanbus.bat! This will give you the ID of your CD-Writer and your CD-Reader. Scanbus will spit out loads of crap, but you're looking for this:

scsibus2:
2,0,0 200) 'MATSHITA' 'DVD-RAM SW-9581 ' 'B102' Removable CD-ROM
2,1,0 201) 'HITACHI ' 'DVD-ROM GD-7500 ' '0005' Removable CD-ROM
2,2,0 202) *
2,3,0 203) *
2,4,0 204) *
2,5,0 205) *
2,6,0 206) *
2,7,0 207) HOST ADAPTOR

You need the ID of your CD-Writer and reader. For example mine is 2,0,0 for the CD-Writer and 2,1,0 for the CD-Reader

STEP 3
Now, edit your selfboot.bat file (open it with notepad or any other program you want), you need to edit lines 2-6, which look like this:

SET MAINDIR= <--- Directory of where the batch files, etc are kept
SET WRITER= <--- scanbus ID of your CD-Writer
SET READERSCSI= <--- scanbus ID of your CD-Reader
SET READER= <--- Driver letter of your CD-Reader
SET GAMENAME= <--- Name of the CD (who gives a crap really)

For example,

SET MAINDIR=c:\dreamcast\
SET WRITER=2,0,0
SET READERSCSI=2,1,0
SET READER=E
SET GAMENAME=GAME

STEP 4
In your cd reader, you must have the cd of your non-bootable homebrew game. In your cd writer you must have a blank cd or cd/rw (the program will erase the disk for you if it's not empty). Now thats it, run selfboot.bat and follow the instructions.(it's very easy after this point.you will asked only to write some name and numbers which the program will give you and hit some enters).

This method works for both, CDDA and non-CDDA games


Why is my Athlon XP still complaining about missing SSE?

You own an Athlon XP, which supports SSE, but when you try to run Chankast you still get the "Your cpu doesn't support SSE" error message.
As some mainboard/CPU combos have SSE disabled in their default configuration, you'll have to check your BIOS manual for instructions on how to enable SSE. After you enabled it, Chankast should work as it's supposed to.


What are the system requirements?

You can find the official system requirements in this topic.


Certain games run real slow (~ 6-7 FPS). Why?

Well, that can have several reasons. First off, your PC and/or your video card might simply be too slow for a certain game in Chankast. As with PC games, each game has different requirements because of AI, graphics etc. To verify if your PC has the minimum requirements, check out the requirements.

Another reason might be that you are trying to run a game which requires the capcom hack to be activated. Certain games won't run at a normal speed or won't run at all unless you activate this hack. Games this affects are for example Marvel VS Capcom or Capcom VS SNK (2, Pro ...)


What's the "CPU 100" display below the FPS good for?

The "CPU 100" displays the current speed of the SH4, the main CPU in the dreamcast console. Since Chankast v0.2, you have the possibility to overclock and underclock the CPU to affect the emulation speed during gameplay with the following keys:

+ Overclock the SH4
- Undercolock the SH4

The clock speed ranges from 50% up to any value you can imagine. If you have a slow PC, you might gain some speed if you underclock the CPU slightly. Faster PCs can get more FPS than the actual dreamcast by increasing the clock rate - useful by getting past slowdowns or other stuff.


What's the "Cable Type" option good for?

The cable type option allows you to run certain games which gave back the AV error in previous versions. Simply go to "Cable Type" under "Options" and select "NTSC" if you got that errror before and it should be fixed.


What are the differences between the 2 versions?

While downloading Chankast or the installer, you might come across two versions to download and install:

Chankast v0.2 Alpha
This is the original release.

Chankast v0.2 Alpha newgfx
This version contains a modified graphic core, which allows you to run certain games with better graphics compared to the original release.

If you are uncertain which version to get, you're best off getting both versions and trying your games with each of them. You can get both as well as an installer with both in one file at the NGEmu Chankast download page (see general links).


Can I use the Utopia boot disc?

You should be able to use the Utopia boot disc, if there wouldn't be a compatibility bug preventing it from working. So for now, the answer is no, however future versions of Chankast might be able to use the Utopia boot disc.


My games are supposed to work, but don't! Why?

This can happen with games which have been released by the group "Echelon". They added an intro in front of the actual game, which causes the emulator to crash. If you want to play the game, get the original and make a proper dump of it.


Are homebrew games compatible?

Yes, they are. However, you need to make them selfbooting before you can use them with Chanka. How this works is described in this chapter.


Why isn't game XY working?

Please keep in mind you're using the first alpha version of this emulator, which has only been in development for 3 months. The authors created this project in their free time. So it's only natural that some games are not working yet.

Before you give up, you should however check if the game is working with the other version, the newgfx one. You can find a link to these in the general links section.

If you're interrested in the progress of this emulator, check your favorite emulation site for status updates or a new release. Other than that, you can't do much to speed up the progress.


Where can I download the BIOS?

Google is your friend. Next question.


When will you release the next version?

When it's done.

Honestly: Please don't bug the moderators of the Chankast forums or the authors about when a new version will be released, that will only slow the actual work on the emulator. However, many emulation sites focus updates on the status of the emulator, which should give you an idea about the progress going on.


Credits

Lots of informations from various sources went into this document. Here's a list of everyone I remember (sorry if I missed you, drop me a mail and I'll add you as well).

baktery, unai, garrofi and elsemi
For creating a great emulator and finally bringing some life back into the dreamcast emulation scene - thanks guys! A big thanks goes out to garrofi for answering my countless questions about the emulator, which are all covered in this help file now ;)

PsyMan
Created a nice FAQ for Chankast, which gave me several ideas for this document.

kair00
Created a tutorial for BIOS dumping on our board, which I had to find through google ;)

Exoskeletor
Created the tutorial teaching you how to make homebrew games bootable.

Everyone who supported us on the forums by answering questions, submitting screenshots and compatibility reports!

This FAQ is created by Bobbi from NGEmu.com
(c) 2004